Subject: MPI v2.0 - shared memory and signals?

From: Glenn Reinman <[email-masked]>
Date: Tue, 22 Jul 1997 15:20:43 -0700 (PDT)

Hi,
	I'm interested in using shared memory between two processes running
MPI.  Is this to be implemented in the new version, and if so, will it be 
limited by the constraints of the operating system's shared memory primitives
(i.e. UNIX only allows 6 shared memory segments per process).  Also, are signals
(i.e. some form of asynchronous interrupt, hopefully handled by some custom
procedure) to be implemented in the new version?  My intent is to handle 
contention at a processor by migrating "work" (rather than processes as in
CONDOR) by signalling a slave to communicate results/data and terminate.  I 
hope this is the correct forum to ask this question, and if it has already been
discussed, if you could please direct me to the archives, I'd appreciate it.  
Thanks.

Glenn